Ruby on Rails 2.3でDEPRECATION WARNING: protect_from_forgery only takes :only and :except options now. :digest and :secret have no effect. という警告が出るの対策

Ruby on Rails 2.3でDEPRECATION WARNING: protect_from_forgery only takes :only and :except options now. :digest and :secret have no effect. という警告が出る場合の対策です。

Ruby on Rails 2.3から、protect_from_forgeryへの:digest、:secretオプションは非推奨になりました。つけても何も起こりません。

:digest、:secretオプションがあると警告が出ますから、削除しましょう。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です